Download it now!
Bug 119718 - kde5: Impress presentation cannot be started using keyboard
Summary: kde5: Impress presentation cannot be started using keyboard
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
: 121244 122276 123719 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-09-06 08:38 UTC by Michael Weghorn
Modified: 2019-03-18 23:01 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
sample presentation (12.68 KB, application/vnd.oasis.opendocument.presentation)
2018-09-06 08:38 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-09-06 08:38:42 UTC
Created attachment 144709 [details]
sample presentation

version: master build as of commit 1f5698ba8b62e62999b0efb363916a91bdd54c94
VCL: kde5 on X11 (other VCL plugins work fine)
platform: Debian testing, Plasma 5 desktop

Steps to reproduce:

1) Open any presentation with Impress, e.g. use the attached sample presentation
2) switch to presentation mode by pressing 'F5'

Result: 

The screen turns white. Pressing buttons like e.g. "right arrow" don't change anything. The presentation only somewhat starts when clicking into the white area using the mouse. Slides can only be switched using the arrow keys after clicking into the area again.

Expected result:

The presentation should start at once when 'F5' is pressed. Switching between slides using the arrow keys should work without requiring any mouse interaction.
Comment 1 Xisco Faulí 2018-11-07 13:44:09 UTC
*** Bug 121244 has been marked as a duplicate of this bug. ***
Comment 2 Michael Weghorn 2018-12-22 08:41:45 UTC
*** Bug 122276 has been marked as a duplicate of this bug. ***
Comment 3 Franklin Weng 2019-01-30 15:49:06 UTC
Still reproducible in

版本:6.2.1.0.0+
組建 ID:c985db8b603d809d5896e42259e0768d607177f7
CPU 執行緒:4; OS:Linux 4.15; UI 算繪:預設; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-01-28_10:45:37
語言地區:zh-TW (zh_TW.UTF-8); UI語言:zh-TW
Calc: threaded


In my version pressing F5 would bring the presentation into a black screen with scrolls at the right and bottom side.  Pressing arrow keys does not work until mouse clicking into the central (black) part.  After it arrow keys work.
Comment 4 Xisco Faulí 2019-03-14 11:19:17 UTC
*** Bug 123719 has been marked as a duplicate of this bug. ***
Comment 5 Commit Notification 2019-03-16 12:28:00 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/39396a2e4362608c792cf3bdde447b66c75d64d6%5E%21

tdf#119718: give focus where focus is due

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Weghorn 2019-03-18 21:51:51 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: ad04121efa8dd513bc0564515b5f305bb1549109
CPU threads: 2; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-US (en_DK.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Commit Notification 2019-03-18 23:01:39 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d7e335018979e4c6d56f5f6ef152fcef1dd5ad9b%5E%21

tdf#119718: give focus where focus is due

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.